Bug 1007354 - python-keyring package needs update ASAP
python-keyring package needs update ASAP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-keyring (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ratnadeep Debnath
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 872262 1026042
  Show dependency treegraph
 
Reported: 2013-09-12 06:14 EDT by Christopher Meng
Modified: 2013-12-13 22:35 EST (History)
1 user (show)

See Also:
Fixed In Version: python-keyring-3.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 01:59:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SRPM for python-keyring 0.3 (25.99 KB, application/x-rpm)
2013-10-26 05:48 EDT, Ratnadeep Debnath
no flags Details

  None (edit)
Description Christopher Meng 2013-09-12 06:14:26 EDT
Hi,

Please update this package ASAP for f19/f20 and master(rawhide).

Also, please cleanup with your spec, remove %clean/%defattr(-,root,root,-)/%{__rm} -rf $RPM_BUILD_ROOT/%{python_sitelib} --> %{python2_sitelib}

It's very funny that your changelog said "python3 is supported" but no python3- package available. PLEASE ADD PYTHON3 PACKAGE.

Currently latest version is 3.0.3 released 3 days ago.
Comment 1 Christopher Meng 2013-10-20 22:26:56 EDT
Any updates?
Comment 2 Ratnadeep Debnath 2013-10-21 23:34:34 EDT
Hi Christopher,

I am extremely sorry for dropping the ball on this. I will update Python-keyring package today and update on you on the same.

Thanks,
Ratnadeep
Comment 3 Ratnadeep Debnath 2013-10-22 15:04:35 EDT
Hey Christopher,

There seems to be a bug with the keyring module which is preventing it from getting built using Python3. I think this will take some time to fix. In  the mean time, is it OK to release the RPM for Python2?

Regards,
rtnpro
Comment 4 Christopher Meng 2013-10-22 19:34:36 EDT
Of course. I only need its py2.x version.

But I think you should contact upstream for help.

Thanks!
Comment 5 Christopher Meng 2013-10-25 03:32:30 EDT
Also, please don't forget to close these bugs in bodhi:

bug 881138, bug 872262.

These 2 are critical, you didn't update it for a long time and we still suffer from vulnerability threats.

And what about the bug of py3k? Can you point out the upstream bug tracker URL or some error logs to us? We are willing to help.
Comment 6 Ratnadeep Debnath 2013-10-26 05:48:37 EDT
Created attachment 816365 [details]
SRPM for python-keyring 0.3

For some reasons, I am not able to push to Koji for a scratch build. I have run rpmlint and found no error. Could someone help with pushing this builds?
Comment 7 Ratnadeep Debnath 2013-10-26 05:57:04 EDT
Hey,

Please ignore the above attachment. There was some mistake on my part in the above upload. Uploading a new one in a while.

Regards
Comment 8 Fedora Update System 2013-11-02 07:04:49 EDT
python-keyring-3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-keyring-3.1-1.fc19
Comment 9 Fedora Update System 2013-11-02 07:04:59 EDT
python-keyring-3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-keyring-3.1-1.fc18
Comment 10 Fedora Update System 2013-11-02 07:05:09 EDT
python-keyring-3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-keyring-3.1-1.fc20
Comment 11 Fedora Update System 2013-11-02 16:17:39 EDT
Package python-keyring-3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-keyring-3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20531/python-keyring-3.1-1.fc20
then log in and leave karma (feedback).
Comment 12 Christopher Meng 2013-11-04 23:29:39 EST
We now have problem with 3.1 version and we need 3.2 version. Sorry!

Thanks!
Comment 13 Fedora Update System 2013-12-03 01:09:30 EST
python-keyring-3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-keyring-3.3-1.fc19
Comment 14 Fedora Update System 2013-12-03 01:09:55 EST
python-keyring-3.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-keyring-3.3-1.fc20
Comment 15 Fedora Update System 2013-12-04 01:59:15 EST
python-keyring-3.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-12-13 22:35:10 EST
python-keyring-3.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.